From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-physics/lhapdf/
Date: Sun, 30 Oct 2022 09:35:01 +0000 (UTC) [thread overview]
Message-ID: <1667122405.1b2f348af326246ea399ec0b1bcab890c2acccff.sam@gentoo> (raw)
commit: 1b2f348af326246ea399ec0b1bcab890c2acccff
Author: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
AuthorDate: Sun Oct 16 17:09:50 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 09:33:25 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b2f348a
sci-physics/lhapdf: add 6.5.3
Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-physics/lhapdf/Manifest | 1 +
sci-physics/lhapdf/lhapdf-6.5.3.ebuild | 63 ++++++++++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/sci-physics/lhapdf/Manifest b/sci-physics/lhapdf/Manifest
index 39261d785a20..6507a8b85792 100644
--- a/sci-physics/lhapdf/Manifest
+++ b/sci-physics/lhapdf/Manifest
@@ -1,3 +1,4 @@
DIST LHAPDF-6.3.0.tar.gz 770744 BLAKE2B 02b9fe3507b87c6f0c635ceb203304eb9b3ee8ac4d17c8b83578f8c05b78b17035b63b6d3d9a0b9fe3505a3daf8e9376fe25040b8826ea4976d2a717b1447eb9 SHA512 4a5aca6e2f06b59a44acc23ef76f1fae747f38e425803e7625cc68130da0c76d1e0d534b7b1867f09c86ee838d4f769d5097257170740db704c966d91c41f94b
DIST LHAPDF-6.5.1.tar.gz 843942 BLAKE2B 4b86b2b3c32d8c02839946aee831d57657eccc7c80efaa49af9052f8437d1ae86b95a6acc5120e3337d528a184d8af5b4dde75a23ac6deeb85ed0d745f73647b SHA512 eeca814a60d7ae03491e82991f328bc4216d46ad94834ce19fb813e59f2d6e9bb7450678c8f6cdf1aaa3d700e56ef8dfc1363e46120893fa8be4d451c37603d2
DIST LHAPDF-6.5.2.tar.gz 865088 BLAKE2B 630846f6105351d0561619f59810d23d936043842b0524d3818153416d116833ca550a940824a74ee9c6684d8d2ea59e72f3a74b3238fd3dc2828937c1422185 SHA512 14dc815a1abb22398d5dc2d4bbe21b0be4dbf16b834fe6be467f11c65d9e13e34548e93d29358740cdb0afedd141e950608258ddd6c0a5d83174861cffdc8f8d
+DIST LHAPDF-6.5.3.tar.gz 864918 BLAKE2B 2dd1b5b94523c0cadac2b63d3dcbc73c5d621463ec9a0e6736b40cb24f6f4da744cf74484b6a5cfb1cfc10054171858dfb3968b22da565747d9b0d00cb3f545c SHA512 444e1dd75c087b0618a65b0ebda0d06dac640d75e43de3a2e4cd5733dd2eaa6eeb6cb0aac437ee559b00b60a6b839a4125b3b26d398da81d52a3a97a7b875662
diff --git a/sci-physics/lhapdf/lhapdf-6.5.3.ebuild b/sci-physics/lhapdf/lhapdf-6.5.3.ebuild
new file mode 100644
index 000000000000..f41aa16191cb
--- /dev/null
+++ b/sci-physics/lhapdf/lhapdf-6.5.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DOCS_BUILDER="doxygen"
+DOCS_DEPEND="
+ dev-texlive/texlive-bibtexextra
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-fontutils
+ dev-texlive/texlive-latex
+ dev-texlive/texlive-latexextra
+"
+inherit python-single-r1 docs
+
+MY_PV=$(ver_cut 1-3)
+MY_PF=LHAPDF-${MY_PV}
+
+DESCRIPTION="Les Houches Parton Density Function unified library"
+HOMEPAGE="https://lhapdf.hepforge.org/"
+SRC_URI="https://www.hepforge.org/downloads/lhapdf/${MY_PF}.tar.gz"
+S="${WORKDIR}/${MY_PF}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ dev-libs/boost:=
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.5.2-py.patch
+)
+
+src_configure() {
+ CONFIG_SHELL="${EPREFIX}/bin/bash" \
+ econf \
+ --disable-static \
+ --enable-python
+}
+
+src_compile() {
+ emake all $(use doc && echo doxy)
+}
+
+src_test() {
+ emake -C tests
+}
+
+src_install() {
+ default
+ use doc && dodoc -r doc/doxygen/.
+ use examples && dodoc examples/*.cc
+
+ python_optimize
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2022-10-30 9:35 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-10-30 9:35 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-18 9:17 [gentoo-commits] repo/gentoo:master commit in: sci-physics/lhapdf/ Guilherme Amadio
2024-10-24 18:16 Arthur Zamarin
2024-09-25 10:23 Andrew Ammerlaan
2024-09-25 10:23 Andrew Ammerlaan
2024-04-14 15:56 Andrew Ammerlaan
2024-04-14 15:56 Andrew Ammerlaan
2024-04-12 17:05 Andrew Ammerlaan
2024-03-20 19:45 Andrew Ammerlaan
2023-10-23 1:44 Sam James
2023-06-09 15:06 Arthur Zamarin
2023-03-22 1:20 Sam James
2023-03-22 1:20 Sam James
2023-03-22 1:20 Sam James
2023-01-19 7:31 Andrew Ammerlaan
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2023-01-18 14:50 Andrew Ammerlaan
2023-01-18 14:50 Andrew Ammerlaan
2023-01-13 12:47 Sam James
2022-10-30 9:35 Sam James
2022-10-05 15:59 Sam James
2022-09-04 12:23 David Seifert
2022-08-31 13:17 Andrew Ammerlaan
2022-07-06 12:56 Andrew Ammerlaan
2021-05-31 21:00 Michał Górny
2021-05-23 13:29 Andrew Savchenko
2021-04-18 21:26 Sam James
2021-04-18 21:20 Sam James
2021-03-04 6:24 Sam James
2021-02-13 22:52 David Seifert
2020-11-14 20:22 David Seifert
2020-07-20 21:34 Andreas Sturmlechner
2020-07-20 6:42 Agostino Sarubbo
2020-07-19 7:43 Agostino Sarubbo
2020-03-01 18:36 Matthias Maier
2020-02-11 12:25 Michał Górny
2019-09-27 13:41 Guilherme Amadio
2019-09-27 13:41 Guilherme Amadio
2017-05-29 16:33 Pacho Ramos
2016-03-28 15:09 David Seifert
2016-01-12 0:55 Guilherme Amadio
2016-01-12 0:55 Guilherme Amadio
2016-01-12 0:55 Guilherme Amadio
2016-01-11 21:37 Guilherme Amadio
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1667122405.1b2f348af326246ea399ec0b1bcab890c2acccff.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox